<?php
/**
 * @file
 * API documentation for Codebase module.
 */

/**
 * Collect individual data points for display.
 *
 * @return
 *   Array of entries, each consisting of the following:
 *   - label: Optional, human-readable title.
 *   - value: Data to display.
 *   - weight: Sort order.
 *   - nolabel: Don't use a label.
 */
function hook_codebase_data() {
  $items = array();

  $items['time'] = array(
    'label' => t('Time of day'),
    'value' => time(),
  );

  return $items;
}

/**
 * Change collected data.
 */
function hook_codebase_data_alter(&$data) {
  $data['time']['weight'] = 100;
}

