<?php
/**
 * @file
 *  Theme functions for Codebase module.
 */

/**
 * Render the codebase information.
 */
function theme_codebase_info($data = array(), $cli = FALSE) {
  $items = array();

  foreach ($data as $key => $parameter) {
    if (empty($parameter['nolabel'])) {
      $label = isset($parameter['label']) ? $parameter['label'] : strtr(ucfirst($key), '_', ' ');
      $items[] = theme('codebase_item', $parameter['value'], $label);
    }
    else {
      $items[] = theme('codebase_item', $parameter['value']);
    }
  }

  if (empty($items)) { 
    return NULL;
  }
  if ($cli) {
    return $items;
  }
  return theme('item_list', $items);
}

/**
 * Render an individual label/value pair.
 */
function theme_codebase_item($value, $label = NULL) {
  $label = !empty($label) ? '<strong>' . $label . '</strong>: ' : '';
  return $label . $value;
}

/**
 * Render the data for Taskbar integration.
 */
function theme_codebase_taskbar_item($parameters = array()) {
  if (($git = _codebase_load_git_info())) {
    $version = _codebase_get_branch(TRUE) . '<br />' . _codebase_get_commit(TRUE);
  }
  else {
    $version = t('Codebase');
  }

  $output = '<div id="codebase_taskbar" style="background-position:8px -918px;">' . $version . '</div>';
  return $output;
}
